org.apache.hadoop.mapreduce.v2.api.records

## Interface CounterGroup

- All Known Implementing Classes:
    CounterGroupPBImpl

      public interface CounterGroup

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAllCounters(Map<String,Counter> counters)`
    `void` | `clearCounters()`
    `Map<String,Counter>` | `getAllCounters()`
    `Counter` | `getCounter(String key)`
    `String` | `getDisplayName()`
    `String` | `getName()`
    `void` | `removeCounter(String key)`
    `void` | `setCounter(String key, Counter value)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setName(String name)`

- - ### Method Detail

    - #### getName

          String getName()

    - #### getDisplayName

          String getDisplayName()

    - #### getAllCounters

          Map<String,Counter> getAllCounters()

    - #### getCounter

          Counter getCounter(String key)

    - #### setName

          void setName(String name)

    - #### setDisplayName

          void setDisplayName(String displayName)

    - #### addAllCounters

          void addAllCounters(Map<String,Counter> counters)

    - #### setCounter

          void setCounter(String key,
                          Counter value)

    - #### removeCounter

          void removeCounter(String key)

    - #### clearCounters

          void clearCounters()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.